package kr.co.compcareworker.Data.Company.Machine;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.ArrayList;

public class AlarmData implements Serializable {

    @SerializedName("mcl_idx")
    @Expose
    private String mclIdx;

    @SerializedName("mb_name")
    @Expose
    private String mbName;

    @SerializedName("mc_iot_mac")
    @Expose
    private String mcIotMac;

    @SerializedName("push_dt")
    @Expose
    private String pushDt;

    @SerializedName("read_yn")
    @Expose
    private String readYn;

    @SerializedName("sensor")
    @Expose
    private String sensor;

    @SerializedName("sensor_value")
    @Expose
    private String sensorValue;

    @SerializedName("delay_time")
    @Expose
    private String delayTime;

    @SerializedName("report_yn")
    @Expose
    private String reportYn;

    @SerializedName("machine_data")
    @Expose
    private MachineItem machineData;

    @SerializedName("ar_idx")
    @Expose
    private String arIdx;

    @SerializedName("read_time")
    @Expose
    private String readTime;

    @SerializedName("ct_cnt")
    @Expose
    private String ctCnt;

    @SerializedName("pr_cnt")
    @Expose
    private String prCnt;

    @SerializedName("temp_cnt")
    @Expose
    private String tempCnt;

    @SerializedName("service_cnt")
    @Expose
    private String serviceCnt;

    @SerializedName("time_line_cnt")
    @Expose
    private String timeLineCnt;

    @SerializedName("pd_name")
    @Expose
    private String pdName;

    @SerializedName("cp_name")
    @Expose
    private String cpName;

    @SerializedName("pt_name")
    @Expose
    private String ptName;

    @SerializedName("mc_airline")
    @Expose
    private String mcAirline;

    @SerializedName("qr_code")
    @Expose
    private String qrCode;

    @SerializedName("ct_alarms")
    @Expose
    private ArrayList<AlarmData> ctAlarms;

    @SerializedName("pr_alarms")
    @Expose
    private ArrayList<AlarmData> prAlarms;

    @SerializedName("temp_alarms")
    @Expose
    private ArrayList<AlarmData> tempAlarms;

    @SerializedName("service_alarms")
    @Expose
    private ArrayList<AlarmData> serviceAlarms;

    @SerializedName("time_line_alarms")
    @Expose
    private ArrayList<AlarmData> timeLineAlarms;

    @SerializedName("ag_ceo")
    @Expose
    private String agCeo;

    @SerializedName("wo_worker_name2")
    @Expose
    private String woWorkerName2;

    @SerializedName("wrEnddt")
    @Expose
    private String wrEnddt;

    @SerializedName("wo_memo")
    @Expose
    private String woMemo;

    @SerializedName("wo_calldt")
    @Expose
    private String woCalldt;

    @SerializedName("ct_report_cnt")
    @Expose
    private String ctReportCnt;

    @SerializedName("pr_report_cnt")
    @Expose
    private String prReportCnt;

    @SerializedName("temp_report_cnt")
    @Expose
    private String tempReportCnt;

    @SerializedName("service_report_cnt")
    @Expose
    private String serviceReportCnt;

    @SerializedName("max_sensor_value")
    @Expose
    private String maxSensorValue;

    @SerializedName("cp_addr")
    @Expose
    private String cpAddr;

    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;

    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;

    @SerializedName("cp_addr_sub")
    @Expose
    private String cpAddrSub;

    @SerializedName("sensor_arr")
    @Expose
    private ArrayList<AlarmData> sensorArr;

    @SerializedName("check_engineer")
    @Expose
    private String checkEngineer;

    @SerializedName("engineer_read_yn")
    @Expose
    private String engineerReadYn;

    @SerializedName("mc_current1_max")
    @Expose
    private String mcCurrent1Max;

    @SerializedName("mc_current2_max")
    @Expose
    private String mcCurrent2Max;

    @SerializedName("mc_current3_max")
    @Expose
    private String mcCurrent3Max;

    @SerializedName("mc_temp_ntc_max")
    @Expose
    private String mcTempNtcMax;

    @SerializedName("mc_temp_ntc_2_max")
    @Expose
    private String mcTempNtc2Max;

    @SerializedName("mc_temp_pt_max")
    @Expose
    private String mcTempPtMax;

    @SerializedName("mc_pressure1_max")
    @Expose
    private String mcPressure1Max;

    @SerializedName("mc_pressure2_max")
    @Expose
    private String mcPressure2Max;

    @SerializedName("mc_pressure3_max")
    @Expose
    private String mcPressure3Max;


    @SerializedName("mc_current1_up")
    @Expose
    private String mcCurrent1Up;
    @SerializedName("mc_current2_up")
    @Expose
    private String mcCurrent2Up;
    @SerializedName("mc_current3_up")
    @Expose
    private String mcCurrent3Up;
    @SerializedName("mc_current1_down")
    @Expose
    private String mcCurrent1Down;
    @SerializedName("mc_current2_down")
    @Expose
    private String mcCurrent2Down;
    @SerializedName("mc_current3_down")
    @Expose
    private String mcCurrent3Down;
    @SerializedName("mc_pressure1_up")
    @Expose
    private String mcPressure1Up;
    @SerializedName("mc_pressure2_up")
    @Expose
    private String mcPressure2Up;
    @SerializedName("mc_pressure3_up")
    @Expose
    private String mcPressure3Up;
    @SerializedName("mc_pressure1_down")
    @Expose
    private String mcPressure1Down;
    @SerializedName("mc_pressure2_down")
    @Expose
    private String mcPressure2Down;
    @SerializedName("mc_pressure3_down")
    @Expose
    private String mcPressure3Down;

    @SerializedName("mc_temp_ntc_up")
    @Expose
    private String mcTempNtcUp;
    @SerializedName("mc_temp_ntc_2_up")
    @Expose
    private String mcTempNtc2Up;
    @SerializedName("mc_temp_pt_up")
    @Expose
    private String mcTempPtUp;
    @SerializedName("mc_temp_ntc_down")
    @Expose
    private String mcTempNtcDown;
    @SerializedName("mc_temp_ntc_2_down")
    @Expose
    private String mcTempNtc2Down;
    @SerializedName("mc_temp_pt_down")
    @Expose
    private String mcTempPtDown;

    @SerializedName("engineer_check_memo")
    @Expose
    private String engineerCheckMemo;

    @SerializedName("mc_cycle")
    @Expose
    private String mcCycle;

    @SerializedName("mc_runningtime")
    @Expose
    private String mcRunningtime;


    boolean checked = false;

    public String getMcIotMac() {
        return mcIotMac;
    }

    public void setMcIotMac(String mcIotMac) {
        this.mcIotMac = mcIotMac;
    }

    public String getPushDt() {
        return pushDt;
    }

    public void setPushDt(String pushDt) {
        this.pushDt = pushDt;
    }

    public String getReadYn() {
        return readYn;
    }

    public void setReadYn(String readYn) {
        this.readYn = readYn;
    }

    public String getSensor() {
        return sensor;
    }

    public void setSensor(String sensor) {
        this.sensor = sensor;
    }

    public String getMclIdx() {
        return mclIdx;
    }

    public void setMclIdx(String mclIdx) {
        this.mclIdx = mclIdx;
    }

    public String getSensorValue() {
        return sensorValue;
    }

    public String getDelayTime() {
        return delayTime;
    }

    public String getReportYn() {
        return reportYn;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public MachineItem getMachineData() {
        return machineData;
    }

    public String getArIdx() {
        return arIdx;
    }

    public String getReadTime() {
        return readTime;
    }

    public String getCtCnt() {
        return ctCnt;
    }

    public String getPrCnt() {
        return prCnt;
    }

    public String getTempCnt() {
        return tempCnt;
    }

    public String getServiceCnt() {
        return serviceCnt;
    }

    public String getPdName() {
        return pdName;
    }

    public String getCpName() {
        return cpName;
    }

    public String getMcAirline() {
        return mcAirline;
    }

    public String getQrCode() {
        return qrCode;
    }

    public ArrayList<AlarmData> getCtAlarms() {
        return ctAlarms;
    }

    public ArrayList<AlarmData> getPrAlarms() {
        return prAlarms;
    }

    public ArrayList<AlarmData> getTempAlarms() {
        return tempAlarms;
    }

    public ArrayList<AlarmData> getServiceAlarms() {
        return serviceAlarms;
    }

    public String getTimeLineCnt() {
        return timeLineCnt;
    }

    public ArrayList<AlarmData> getTimeLineAlarms() {
        return timeLineAlarms;
    }

    public String getAgCeo() {
        return agCeo;
    }

    public String getWoWorkerName2() {
        return woWorkerName2;
    }

    public String getWrEnddt() {
        return wrEnddt;
    }

    public String getWoMemo() {
        return woMemo;
    }

    public String getWoCalldt() {
        return woCalldt;
    }

    public String getCtReportCnt() {
        return ctReportCnt;
    }

    public String getPrReportCnt() {
        return prReportCnt;
    }

    public String getTempReportCnt() {
        return tempReportCnt;
    }

    public String getServiceReportCnt() {
        return serviceReportCnt;
    }

    public String getMbName() {
        return mbName;
    }

    public String getPtName() {
        return ptName;
    }

    public String getMaxSensorValue() {
        return maxSensorValue;
    }

    public String getCpAddr() {
        return cpAddr;
    }

    public String getCpAddrSub() {
        return cpAddrSub;
    }

    public ArrayList<AlarmData> getSensorArr() {
        return sensorArr;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public String getCheckEngineer() {
        return checkEngineer;
    }

    public String getEngineerReadYn() {
        return engineerReadYn;
    }

    public String getMcCurrent1Max() {
        return mcCurrent1Max;
    }

    public String getMcCurrent2Max() {
        return mcCurrent2Max;
    }

    public String getMcCurrent3Max() {
        return mcCurrent3Max;
    }

    public String getMcTempNtcMax() {
        return mcTempNtcMax;
    }

    public String getMcTempNtc2Max() {
        return mcTempNtc2Max;
    }

    public String getMcTempPtMax() {
        return mcTempPtMax;
    }

    public String getMcPressure1Max() {
        return mcPressure1Max;
    }

    public String getMcPressure2Max() {
        return mcPressure2Max;
    }

    public String getMcPressure3Max() {
        return mcPressure3Max;
    }

    public String getMcCurrent1Up() {
        return mcCurrent1Up;
    }

    public String getMcCurrent2Up() {
        return mcCurrent2Up;
    }

    public String getMcCurrent3Up() {
        return mcCurrent3Up;
    }

    public String getMcCurrent1Down() {
        return mcCurrent1Down;
    }

    public String getMcCurrent2Down() {
        return mcCurrent2Down;
    }

    public String getMcCurrent3Down() {
        return mcCurrent3Down;
    }

    public String getMcPressure1Up() {
        return mcPressure1Up;
    }

    public String getMcPressure2Up() {
        return mcPressure2Up;
    }

    public String getMcPressure3Up() {
        return mcPressure3Up;
    }

    public String getMcPressure1Down() {
        return mcPressure1Down;
    }

    public String getMcPressure2Down() {
        return mcPressure2Down;
    }

    public String getMcPressure3Down() {
        return mcPressure3Down;
    }

    public String getMcTempNtcUp() {
        return mcTempNtcUp;
    }

    public String getMcTempNtc2Up() {
        return mcTempNtc2Up;
    }

    public String getMcTempPtUp() {
        return mcTempPtUp;
    }

    public String getMcTempNtcDown() {
        return mcTempNtcDown;
    }

    public String getMcTempNtc2Down() {
        return mcTempNtc2Down;
    }

    public String getMcTempPtDown() {
        return mcTempPtDown;
    }

    public String getEngineerCheckMemo() {
        return engineerCheckMemo;
    }

    public String getMcCycle() {
        return mcCycle;
    }

    public String getMcRunningtime() {
        return mcRunningtime;
    }
}

